<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RLocation StructType
 * @subpackage Structs
 */
class RLocation extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The id
     * Meta information extracted from the WSDL
     * - documentation: Read only
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $id;
    /**
     * The relatedLocations
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RelatedLocations
     */
    public $relatedLocations;
    /**
     * The withinAudioBandwidth
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $withinAudioBandwidth;
    /**
     * The withinVideoBandwidth
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $withinVideoBandwidth;
    /**
     * The withinImmersiveKbits
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $withinImmersiveKbits;
    /**
     * The betweenLocations
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\BetweenLocations
     */
    public $betweenLocations;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RLocation
     * @uses RLocation::setName()
     * @uses RLocation::setId()
     * @uses RLocation::setRelatedLocations()
     * @uses RLocation::setWithinAudioBandwidth()
     * @uses RLocation::setWithinVideoBandwidth()
     * @uses RLocation::setWithinImmersiveKbits()
     * @uses RLocation::setBetweenLocations()
     * @uses RLocation::setUuid()
     * @param string $name
     * @param string $id
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RelatedLocations $relatedLocations
     * @param string $withinAudioBandwidth
     * @param string $withinVideoBandwidth
     * @param string $withinImmersiveKbits
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\BetweenLocations $betweenLocations
     * @param string $uuid
     */
    public function __construct($name = null, $id = null, \\Losc\CucmBundle\Model\Webservice\StructType\RelatedLocations $relatedLocations = null, $withinAudioBandwidth = null, $withinVideoBandwidth = null, $withinImmersiveKbits = null, \\Losc\CucmBundle\Model\Webservice\StructType\BetweenLocations $betweenLocations = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setId($id)
            ->setRelatedLocations($relatedLocations)
            ->setWithinAudioBandwidth($withinAudioBandwidth)
            ->setWithinVideoBandwidth($withinVideoBandwidth)
            ->setWithinImmersiveKbits($withinImmersiveKbits)
            ->setBetweenLocations($betweenLocations)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocation
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get id value
     * @return string|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param string $id
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocation
     */
    public function setId($id = null)
    {
        $this->id = $id;
        return $this;
    }
    /**
     * Get relatedLocations value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RelatedLocations|null
     */
    public function getRelatedLocations()
    {
        return $this->relatedLocations;
    }
    /**
     * Set relatedLocations value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RelatedLocations $relatedLocations
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocation
     */
    public function setRelatedLocations(\\Losc\CucmBundle\Model\Webservice\StructType\RelatedLocations $relatedLocations = null)
    {
        $this->relatedLocations = $relatedLocations;
        return $this;
    }
    /**
     * Get withinAudioBandwidth value
     * @return string|null
     */
    public function getWithinAudioBandwidth()
    {
        return $this->withinAudioBandwidth;
    }
    /**
     * Set withinAudioBandwidth value
     * @param string $withinAudioBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocation
     */
    public function setWithinAudioBandwidth($withinAudioBandwidth = null)
    {
        $this->withinAudioBandwidth = $withinAudioBandwidth;
        return $this;
    }
    /**
     * Get withinVideoBandwidth value
     * @return string|null
     */
    public function getWithinVideoBandwidth()
    {
        return $this->withinVideoBandwidth;
    }
    /**
     * Set withinVideoBandwidth value
     * @param string $withinVideoBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocation
     */
    public function setWithinVideoBandwidth($withinVideoBandwidth = null)
    {
        $this->withinVideoBandwidth = $withinVideoBandwidth;
        return $this;
    }
    /**
     * Get withinImmersiveKbits value
     * @return string|null
     */
    public function getWithinImmersiveKbits()
    {
        return $this->withinImmersiveKbits;
    }
    /**
     * Set withinImmersiveKbits value
     * @param string $withinImmersiveKbits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocation
     */
    public function setWithinImmersiveKbits($withinImmersiveKbits = null)
    {
        $this->withinImmersiveKbits = $withinImmersiveKbits;
        return $this;
    }
    /**
     * Get betweenLocations value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\BetweenLocations|null
     */
    public function getBetweenLocations()
    {
        return $this->betweenLocations;
    }
    /**
     * Set betweenLocations value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\BetweenLocations $betweenLocations
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocation
     */
    public function setBetweenLocations(\\Losc\CucmBundle\Model\Webservice\StructType\BetweenLocations $betweenLocations = null)
    {
        $this->betweenLocations = $betweenLocations;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocation
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
